Arduino

## Serial.setTimeout()

#### Description

Serial.setTimeout() sets the maximum milliseconds to wait for serial data when using Serial.readBytesUntil() or Serial.readBytes(). It defaults to 1000 milliseconds.

Serial.setTimeout() inherits from the Stream utility class.

#### Syntax

Serial.setTimeout(time)

#### Parameters

time : timeout duration in milliseconds (long).

#### Parameters

None

#### See also

- Stream
- Stream.setTimeout()

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes